/* Feature Section */
.feature {
  height: 155.2rem;
  padding: 12.7rem 0;
  background-color: #fff;
  color: var(--color-text-primary);
}

.feature__inner {
  margin: 0 auto;
  padding: 0 23.1rem;
  text-align: center;
}

/* Feature Header */
.feature__header {
  margin-bottom: 5rem;
}

/* Feature Items */
.feature__items {
  display: flex;
  flex-direction: column;
  gap: 8rem;
  margin-bottom: 8rem;
}

.feature__item {
  display: flex;
  gap: 4rem;
}

.feature__item--reverse {
  flex-direction: row-reverse;
}

/* Feature Content */
.feature__content {
  flex: 1;
  display: flex;
  flex-direction: column;
  padding: 0.4rem 0;
}

.feature__number {
  display: inline-flex;
  align-items: center;
  background-color: #fff;
  color: #f48c41;
  font-weight: 700;
  padding: 0 2.4rem;
  margin-bottom: 0.6rem;
}

.feature__number::before {
  content: "";
  margin: 0 0 0.2rem 0;
  width: 0.788rem;
  height: 0.788rem;
  background-color: #f48c41;
  border-radius: 50%;
  flex-shrink: 0;
}

.feature__number-text {
  margin: 0 0 0 0.4rem;
  font-family: Inter;
  font-weight: 600;
  font-size: 1.8rem;
  line-height: 1;
}

.feature__number-digit {
  margin: 0rem 0 0.4rem 0.1rem;
  font-family: Inter;
  font-weight: 700;
  font-size: 2.4rem;
  line-height: 1;
}

.feature__title-button {
  width: 45.6rem;
  height: 5rem;
  display: flex;
  background-color: var(--color-primary-lighter);
  color: #fff;
  font-family: "Noto Sans JP";
  font-weight: 700;
  font-size: 2.4rem;
  padding: 1.2rem 2.4rem;
  margin-bottom: 2.5rem;
  border-radius: 5rem;
  line-height: 1;
}

.feature__description {
  margin: 0 0.4rem 0 2.4rem;
  font-family: "Noto Sans JP";
  font-weight: 500;
  font-size: 2rem;
  line-height: 1.8;
  color: var(--color-text-primary);
  text-align: left;
}

/* Feature Visual */
.feature__visual {
  width: 48.1rem;
  flex-shrink: 0;
}

.feature__visual img {
  width: 100%;
  height: auto;
}

/* Responsive Design */
@media (max-width: 768px) {
  .feature {
    height: 176rem;
    padding: 10.1rem 0;
  }

  .feature__inner {
    padding: 0 1.2rem;
  }

  .feature__header {
    margin-bottom: 3.7rem;
  }

  .feature__items {
    gap: 5.8rem;
    margin-bottom: 4rem;
  }

  .feature__item,
  .feature__item--reverse {
    flex-direction: column;
    gap: 2rem;
  }

  .feature__content {
    max-width: 100%;
    order: 1;
  }

  .feature__visual {
    width: 100%;
    order: 2;
  }

  .feature__number {
    padding: 0rem 1.2rem;
    margin-bottom: 0.1rem;
  }

  .feature__number::before {
    width: 0.5rem;
    height: 0.5rem;
  }

  .feature__number-digit {
    font-size: 1.8rem;
  }

  .feature__number-text {
    font-size: 1.4rem;
  }

  .feature__title-button {
    width: 100%;
    height: 4.4rem;
    font-size: 2rem;
    padding: 1.2rem 1.2rem;
    margin-bottom: 1.2rem;
  }

  .feature__description {
    margin: 0 1.26rem 0 1.26rem;
    font-size: 1.6rem;
  }
}
